summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYixun Lan <dlan@gentoo.org>2016-12-05 15:56:14 +0800
committerYixun Lan <dlan@gentoo.org>2016-12-05 15:57:17 +0800
commit40043d4962e06a2ca87fd97b06e837b8302d0490 (patch)
tree9e34e11f33db43b1e1b2312bc50f8e2aa5fc2b47
parentdev-ruby/ruby2ruby: add 2.3.2 (diff)
downloadgentoo-40043d4962e06a2ca87fd97b06e837b8302d0490.tar.gz
gentoo-40043d4962e06a2ca87fd97b06e837b8302d0490.tar.bz2
gentoo-40043d4962e06a2ca87fd97b06e837b8302d0490.zip
media-libs/libde265: fix PIX_FMT_YUV420P undefined err
Gentoo-Bug: 575554 Package-Manager: portage-2.3.2
-rw-r--r--media-libs/libde265/libde265-1.0.2.ebuild7
1 files changed, 6 insertions, 1 deletions
diff --git a/media-libs/libde265/libde265-1.0.2.ebuild b/media-libs/libde265/libde265-1.0.2.ebuild
index 7b52f001141..e1323635041 100644
--- a/media-libs/libde265/libde265-1.0.2.ebuild
+++ b/media-libs/libde265/libde265-1.0.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -27,6 +27,11 @@ RDEPEND="${DEPEND}"
REQUIRED_USE="tools? ( || ( qt4 qt5 ) )"
+src_prepare() {
+ sed -ri 's/(PIX_FMT_)/AV_\1/g' sherlock265/VideoDecoder.cc || die
+ autotools-multilib_src_prepare
+}
+
src_configure() {
local myeconfargs=(
$(use_enable cpu_flags_x86_sse sse)